Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ConfigurationCategoryDescriptorMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              oracle.ifs.common.ConfigurationCategoryDescriptorMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ConfigurationCategoryDescriptorMap

extends java.util.HashMap

A ConfigurationCategoryDescriptorMap represents a Map of all registered ConfigurationCategory classes, allowing fast lookup of ConfigurationCategoryDescriptor objects used in ConfigurationCategory determination.

See Also:
  Serialized Form
(Published)

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`ConfigurationCategoryDescriptorMap()` Constructs a ConfigurationCategoryDescriptorMap.

Method Summary
`void` | `initialize(LibrarySession session)` Initialize this map using the specified session context.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ConfigurationCategoryDescriptorMap

    public ConfigurationCategoryDescriptorMap()

  Constructs a ConfigurationCategoryDescriptorMap.

  (Published)

Method Detail

### initialize

    public void initialize(LibrarySession session)
                    throws IfsException

  Description copied from class: `ConfigurationCategoryDescriptorMap`
  Initialize this map using the specified session context.

  Parameters:
    `session` - the session context.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD